### Method

# Panel MenuManager find_item_by_id

since: 1.4

#### Declaration [src]

    GMenu*
    panel_menu_manager_find_item_by_id (
      PanelMenuManager* self,
      const char* id,
      guint* position
    )

#### Description [src]

Locates a menu item that matches `id` and sets the position within the resulting `GMenu` to `position`.

If no match is found, `NULL` is returned.

Available since: 1.4

#### Parameters

`id`

  Type: `const char*`

  The identifier of the menu item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`position`

  Type: `guint*`

  The position within the resulting menu.

  The argument will be set by the function.

#### Return value

Type: `GMenu`

A `GMenu` if successful; otherwise `NULL` and `position` is unset.

The returned data is owned by the instance.
The return value can be `NULL`.